Open SCAP Library

Functions
entcmp.h File Reference
`#include <seap.h>`
`#include <stdarg.h>`
`#include "oval_definitions.h"`
`#include "oval_results.h"`

Go to the source code of this file.

## Functions
oval_result_t | probe_ent_result_bychk (SEXP_t *res_lst, oval_check_t check)
| Compute the overall result. More...
oval_result_t | probe_ent_result_byopr (SEXP_t *res_lst, oval_operator_t operator)
| Compute the overall result. More...
oval_result_t | probe_entobj_cmp (SEXP_t *ent_obj, SEXP_t *val)
| Compare object entity's content with a value. More...
oval_result_t | probe_entste_cmp (SEXP_t *ent_ste, SEXP_t *ent_itm)
| Compare state entity's content with a item entity's value. More...
oval_result_t | probe_ent_cmp_binary (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two binary values. More...
oval_result_t | probe_ent_cmp_bool (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two boolean values. More...
oval_result_t | probe_ent_cmp_evr (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two epoch-version-release values. More...
oval_result_t | probe_ent_cmp_debian_evr (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two Debian epoch-version-release values. More...
oval_result_t | probe_ent_cmp_filesetrev (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two values. More...
oval_result_t | probe_ent_cmp_float (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two floating point values. More...
oval_result_t | probe_ent_cmp_int (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two integer values. More...
oval_result_t | probe_ent_cmp_ios (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two ios values. More...
oval_result_t | probe_ent_cmp_version (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two version values. More...
oval_result_t | probe_ent_cmp_string (SEXP_t *val1, SEXP_t *val2, oval_operation_t op)
| Compare two string values. More...

## Detailed Description

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m